Manifest-Version: 1.0
Bnd-LastModified: 1741338200163
Build-Jdk: 11.0.4
Built-By: root
Bundle-Description: This is a core module of the project.
Bundle-DocURL: http://www.wso2.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: org.wso2.carbon.task
Bundle-SymbolicName: org.wso2.carbon.task
Bundle-Vendor: WSO2
Bundle-Version: 4.7.247
Created-By: Apache Maven Bundle Plugin
DynamicImport-Package: *
Export-Package: org.wso2.carbon.task;uses:="org.apache.axiom.om,org.apac
 he.axis2.engine,org.apache.commons.logging,org.apache.synapse.task,org.
 apache.synapse.task.service,org.wso2.carbon.core";version="4.7.247",org
 .wso2.carbon.task.internal;uses:="org.apache.synapse.task.service,org.o
 sgi.service.component,org.wso2.carbon.task.services,org.wso2.carbon.uti
 ls";version="4.7.247",org.wso2.carbon.task.multitenancy;uses:="org.apac
 he.axis2.context,org.wso2.carbon.utils";version="4.7.247",org.wso2.carb
 on.task.service;version="4.7.247",org.wso2.carbon.task.util;uses:="org.
 wso2.carbon.task,org.wso2.carbon.utils";version="4.7.247"
Import-Package: org.wso2.carbon.task.services;version="[4.7,5)",org.apac
 he.axis2.context;version="[1.6.1,1.7.0)",org.apache.axis2.engine;versio
 n="[1.6.1,1.7.0)",org.apache.axiom.om;version="[1.2.11,1.3.0)",org.apac
 he.commons.logging;version="[1.2.0,2.0.0)",org.apache.synapse.task;vers
 ion="[4.0,5)",org.apache.synapse.task.service;version="[4.0,5)",javax.x
 ml.namespace;resolution:=optional,org.apache.synapse;resolution:=option
 al;version="[4.0,5)",org.apache.synapse.config;resolution:=optional;ver
 sion="[4.0,5)",org.osgi.framework;resolution:=optional;version="[1.9,2)
 ",org.osgi.service.component;resolution:=optional;version="[1.2,2)",org
 .wso2.carbon.core;resolution:=optional;version="[4.8,5)",org.wso2.carbo
 n.mediation.initializer;resolution:=optional;version="[4.7,5)",org.wso2
 .carbon.mediation.initializer.persistence;resolution:=optional;version=
 "[4.7,5)",org.wso2.carbon.task;resolution:=optional,org.wso2.carbon.tas
 k.multitenancy;resolution:=optional,org.wso2.carbon.task.service;resolu
 tion:=optional,org.wso2.carbon.task.util;resolution:=optional,org.wso2.
 carbon.utils;resolution:=optional;version="[4.8,5)",javax.servlet;versi
 on="[2.6.0,3.0.0)",javax.servlet.http;version="[2.6.0,3.0.0)",javax.ser
 vlet.resources;version="[2.6.0,3.0.0)"
Require-Capability: osgi.service;filter:="(objectClass=org.apache.synaps
 e.task.service.TaskManagementService)";effective:=active;cardinality:=m
 ultiple,osgi.service;filter:="(objectClass=org.wso2.carbon.task.service
 s.JobMetaDataProviderService)";effective:=active;cardinality:=multiple,
 osgi.service;filter:="(objectClass=org.wso2.carbon.task.services.TaskDe
 scriptionRepositoryService)";effective:=active,osgi.service;filter:="(o
 bjectClass=org.wso2.carbon.utils.ConfigurationContextService)";effectiv
 e:=active,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/task.manager.componenet.xml
SYNAPSE_DEPLOYER-RequiredServices: org.wso2.carbon.task.service.TaskDepl
 oyerService
Tool: Bnd-3.3.0.201609221906
